"$schema": "https://git.drupalcode.org/project/drupal/-/raw/10.1.x/core/modules/sdc/src/metadata.schema.json"
name: Icon
group: Base
status: stable
props:
  type: object
  required:
    - icon
    - icon_size
  properties:
    icon:
      type: string
      title: Icon name
      description: 'The ID of an icon from the <a href="https://phosphoricons.com" target="_blank">Phosphor Icons</a> library.'
      default: "rocket"
      examples:
        - "rocket"
    icon_size:
      type: string
      title: Icon size
      enum:
        - extra-small
        - small
        - medium
        - large
        - extra-large
      meta:enum:
        extra-small: Extra small
        small: Small
        medium: Medium
        large: Large
        extra-large: Extra large
      default: small
      examples:
        - small
